#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const ll mod=1000000007;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n,k;
    cin>>n>>k;
    string s;
    cin>>s;
    vector<int> v(k,0);
    int br=0;
    int ans=1;
    for(int i=0;i<n;i++){
        if(v[s[i]-'a']<ans){
            v[s[i]-'a']++;
            br++;
        }
        if(br>=k){
            ans++;
            br=0;
        }
        cout<<ans<<' ';

    }


    return 0;
}